export interface ErrorLike {
    code?: number;
    message?: string;
    name: string;
    [key: string]: any;
}
export declare class FileSystemError extends Error {
    code?: number;
    path?: string;
    repository?: string;
    [key: string]: any;
    constructor(params: ErrorLike);
    toString(): string;
}
export declare const IndexSizeError: ErrorLike;
export declare const HierarchyRequestError: ErrorLike;
export declare const WrongDocumentError: ErrorLike;
export declare const InvalidCharacterError: ErrorLike;
export declare const NoModificationAllowedError: ErrorLike;
export declare const NotFoundError: ErrorLike;
export declare const NotSupportedError: ErrorLike;
export declare const InUseAttributeError: ErrorLike;
export declare const InvalidStateError: ErrorLike;
export declare const SyntaxError: ErrorLike;
export declare const InvalidModificationError: ErrorLike;
export declare const NamespaceError: ErrorLike;
export declare const InvalidAccessError: ErrorLike;
export declare const TypeMismatchError: ErrorLike;
export declare const SecurityError: ErrorLike;
export declare const NetworkError: ErrorLike;
export declare const AbortError: ErrorLike;
export declare const URLMismatchError: ErrorLike;
export declare const QuotaExceededError: ErrorLike;
export declare const TimeoutError: ErrorLike;
export declare const InvalidNodeTypeError: ErrorLike;
export declare const DataCloneError: ErrorLike;
export declare const EncodingError: ErrorLike;
export declare const NotReadableError: ErrorLike;
export declare const UnknownError: ErrorLike;
export declare const ConstraintError: ErrorLike;
export declare const DataError: ErrorLike;
export declare const TransactionInactiveError: ErrorLike;
export declare const ReadOnlyError: ErrorLike;
export declare const VersionError: ErrorLike;
export declare const OperationError: ErrorLike;
export declare const NotAllowedError: ErrorLike;
export declare const PathExistError: ErrorLike;
export declare const domExceptions: ErrorLike[];
interface ErrorParams {
    e?: any;
    message?: string;
    code?: number;
    name: string;
    path: string;
    repository: string;
    [key: string]: any;
}
export declare function createError(params: ErrorParams): FileSystemError;
export declare function isFileSystemError(e?: unknown): e is FileSystemError;
export declare function isNotFoundError(e: unknown): e is FileSystemError;
export {};
//# sourceMappingURL=errors.d.ts.map